/* --------------------------------------------------------
   ini.h
   Bodgy loading system for Windows-style INI files
   By BlackAura, May 2003
   -------------------------------------------------------- */

#ifndef _INI_H_INCLUDED_
#define _INI_H_INCLUDED_

#define INI_BUFSIZE 0x100
typedef struct key_s
{
	char name[INI_BUFSIZE];
	char data[INI_BUFSIZE];
	struct key_s *next;
} key_t;

typedef struct section_s
{
	char name[INI_BUFSIZE];
	struct section_s *next;
	key_t *key;
} section_t;

typedef struct ini_s
{
	char filename[INI_BUFSIZE];
	section_t *sections;
} ini_t;

ini_t *ini_load(char *filename);
void ini_free(ini_t *ini);
char *ini_search(ini_t *ini, char *section, char *key, char *def);

#endif // _INI_H_INCLUDED_
